summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2019-04-08 21:29:50 +0200
committerDavid Seifert <soap@gentoo.org>2019-04-08 21:29:50 +0200
commitaad0cebf39c507c152c9237258b7048c14f65325 (patch)
tree9d63a9802379345e129dce8bfd1713bcc3a5e28b /sys-apps
parentmedia-gfx/jhead: amd64 stable wrt bug #681512 (diff)
downloadgentoo-aad0cebf39c507c152c9237258b7048c14f65325.tar.gz
gentoo-aad0cebf39c507c152c9237258b7048c14f65325.tar.bz2
gentoo-aad0cebf39c507c152c9237258b7048c14f65325.zip
sys-apps/rtl-entropy: [QA] Call cmake-utils_src_prepare
Closes: https://bugs.gentoo.org/663894 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/rtl-entropy/rtl-entropy-0.1.2_p20180118-r1.ebuild30
1 files changed, 16 insertions, 14 deletions
diff --git a/sys-apps/rtl-entropy/rtl-entropy-0.1.2_p20180118-r1.ebuild b/sys-apps/rtl-entropy/rtl-entropy-0.1.2_p20180118-r1.ebuild
index 8b430e3b66e..af725fddf5f 100644
--- a/sys-apps/rtl-entropy/rtl-entropy-0.1.2_p20180118-r1.ebuild
+++ b/sys-apps/rtl-entropy/rtl-entropy-0.1.2_p20180118-r1.ebuild
@@ -1,15 +1,15 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit cmake-utils
+COMMIT="9f1768c35f6205a73a657cfc9ac7bd9f9a40936c"
+
DESCRIPTION="An entropy generator using SDR peripherals, including rtl-sdr and BladeRF"
HOMEPAGE="http://rtl-entropy.org/"
-COMMIT="9f1768c35f6205a73a657cfc9ac7bd9f9a40936c"
SRC_URI="https://github.com/pwarren/rtl-entropy/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${PN}-${COMMIT}"
LICENSE="GPL-3+"
SLOT="0"
@@ -17,19 +17,21 @@ KEYWORDS="~amd64 ~x86"
#sadly, rtlsdr support doesn't appear to be optional
IUSE="bladerf"
-RDEPEND="sys-libs/libcap
- dev-libs/openssl:0=
- bladerf? ( net-wireless/bladerf:= )
- net-wireless/rtl-sdr"
+RDEPEND="
+ dev-libs/openssl:0=
+ net-wireless/rtl-sdr
+ sys-libs/libcap
+ bladerf? ( net-wireless/bladerf:= )"
DEPEND="${RDEPEND}
- virtual/pkgconfig"
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
src_prepare() {
+ cmake-utils_src_prepare
+
if ! use bladerf; then
- sed -i 's#libbladeRF.h#libbladeRF-totallynotreal.h#' cmake/Modules/FindLibbladeRF.cmake
+ sed -i 's#libbladeRF.h#libbladeRF-totallynotreal.h#' \
+ cmake/Modules/FindLibbladeRF.cmake || die
fi
- #if ! use rtlsdr; then
- # sed -i 's#rtl-sdr.h#rtl-sdr-totallynotreal.h#' cmake/Modules/FindLibRTLSDR.cmake
- #fi
- default
}